{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "1d08e1d3-0f62-467e-8217-9eaf458afeb4",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "[<matplotlib.lines.Line2D at 0x1ab329b59a0>]"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "[encoded data, 18804 characters]",
      "text/plain": [
       "<Figure size 640x480 with 1 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "import numpy as np\n",
    "from matplotlib import pyplot as plt\n",
    "\n",
    "x = np.linspace(0, 2*2.0*np.pi, 1000)\n",
    "y = np.sin(x)\n",
    "\n",
    "\n",
    "grid_bin = np.fromfile(\"../out/grid.bin\", dtype=np.float64)\n",
    "plt.plot(grid_bin, np.zeros(len(grid_bin)))\n",
    "grid = np.loadtxt(\"../out/grid.dat\")\n",
    "plt.plot(grid, np.zeros(len(grid)), linestyle='--')\n",
    "knots = np.loadtxt(\"../out/knotpoints.dat\")\n",
    "plt.plot(knots, np.zeros(len(knots)), marker='o')\n",
    "bspline3 = np.loadtxt(\"../out/Bspline3.dat\")\n",
    "plt.plot(grid, bspline3)\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "8cda5f82-13ac-4b95-aed4-f999a8dbd185",
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "ce5642b3-6387-45f7-aaaf-dfb9085b3d49",
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "c4866585-9cb8-4eb8-a8c6-0489f831c55d",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
